Summary:	Swing windowing and docking framework
Name:		flexdock
Release:	%mkrel 10
License:	MIT
Group:		Development/Java
Version:	1.2.4
URL:		http://forge.scilab.org/index.php/p/flexdock/
Source0:	http://forge.scilab.org/index.php/p/%{name}/downloads/get/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	ant
BuildRequires:	java-devel
BuildRequires:	apache-commons-logging
BuildRequires:	jpackage-utils
BuildRequires:	jgoodies-looks
BuildRequires:	skinlf
BuildRequires:	unzip
BuildRequires:	update-alternatives
BuildRequires:	xml-commons-apis

Requires:	java >= 1.7
Requires:	apache-commons-logging
Requires:	jgoodies-looks
Requires:	jpackage-utils
Requires:	skinlf

%description
FlexDock is a Java docking framework for use in cross-platform Swing
applications. It offers features you'd expect in any desktop docking
framework such as:

* Tabbed and Split Layouts
* Drag-n-Drop capability (native drag rubber band painting on some platforms)
* Floating windows
* Collapsible Containers to Save Real Estate
* Layout Persistence

It is released using the MIT license.

%package javadoc
Summary:	Javadoc for flexdock
Group:		Development/Java

%description javadoc
Javadoc for flexdock.

%package demo
Summary:	Some examples for flexdock
Group:		Development/Java
Requires:	%{name} = %{version}-%{release}
Requires:	fmj
Requires:	java >= 1.7
Requires:	apache-commons-logging
Requires:	jgoodies-looks
Requires:	skinlf

%description demo
Some examples for flexdock.

%package manual
Summary:	User documetation for flexdock
Group:		Development/Java

%description manual
Usermanual for flexdock.

%prep
%autosetup -p1

%build
ant jar

%install
mkdir -p %{buildroot}%{_javadir}
install -pm644 build/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

%files
%doc LICENSE.txt README release-notes.txt
%{_javadir}/%{name}.jar


%changelog
* Tue Apr 04 2017 akien <akien> 1.2.4-10.mga6
+ Revision: 1095888
- Rebuild without fmj dependency (obsoleted)

* Fri Feb 26 2016 daviddavid <daviddavid> 1.2.4-9.mga6
+ Revision: 979635
- add BR on java-devel to fix build

* Sat Dec 26 2015 daviddavid <daviddavid> 1.2.4-8.mga6
+ Revision: 915348
- s/jakarta/apache/ (jakarta is long since dead)

* Wed Sep 16 2015 tv <tv> 1.2.4-7.mga6
+ Revision: 879759
- make it buildarch thus really fixing empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 1.2.4-6.mga6
+ Revision: 874924
- Fix build with new rpm ( empty debuginfo)

* Wed Nov 05 2014 tv <tv> 1.2.4-5.mga5
+ Revision: 795705
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.4-4.mga5
+ Revision: 751202
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.2.4-2.mga4
+ Revision: 541465
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 grenoya <grenoya> 1.2.4-1.mga4
+ Revision: 494919
- new version 1.2.4

* Fri Jan 11 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 350521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 grenoya <grenoya> 1.2.1-1.mga3
+ Revision: 344308
- new version 1.2.1

* Sat Nov 12 2011 grenoya <grenoya> 0.5.4-1.mga2
+ Revision: 166945
- new version 0.5.4

* Sat Mar 05 2011 grenoya <grenoya> 0.5.2-3.mga1
+ Revision: 64835
- imported package flexdock

